> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adds files to the transaction document

> Uploads a set of files to be processed in the specified transaction document.
The maximum size of processed files should not exceed 2 GB.
The maximum count per transaction should not exceed 1000 for process skill.



## OpenAPI

````yaml /openapi.json post /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles:
    post:
      tags:
        - TransactionDocuments
      summary: Adds files to the transaction document
      description: >-
        Uploads a set of files to be processed in the specified transaction
        document.

        The maximum size of processed files should not exceed 2 GB.

        The maximum count per transaction should not exceed 1000 for process
        skill.
      operationId: AddFilesToTransactionDocument
      parameters:
        - name: transactionId
          in: path
          description: Transaction identifier
          required: true
          schema:
            type: string
            format: uuid
        - name: documentId
          in: path
          description: Transaction document identifier
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                Model:
                  type: object
                  properties:
                    files:
                      type: array
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto
                      description: Files processing parameters
                      nullable: true
                  additionalProperties: false
                  description: >-
                    Additional processing parameters for transaction document.
                    See TransactionDocumentMetadataDto model.
                Files:
                  type: array
                  items:
                    type: string
                    description: Model for getting file passed in multipart/* content
                    format: binary
            encoding:
              Model:
                contentType: application/json
                style: form
                explode: true
              Files:
                contentType: application/octet-stream
                style: form
                explode: true
      responses:
        '200':
          description: Files successfully added to a transaction document
        '400':
          description: Invalid required parameter or max file size exceeded
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Transaction belongs to another tenant
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '409':
          description: Max files count exceeded
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto:
      type: object
      properties:
        index:
          type: string
          description: Files in document in transaction will be ordered by this parameter
          nullable: true
        registrationParameters:
          maxItems: 10
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter
          description: >-
            Additional file registration parameters. Predefined parameters:
                        
            SourceType: Where the file came from, usually the connector name
            (scanning station);
                        
            SourceDetails: How the file was received;
                        
            SourceFileName: The name of the file being added (invoice.jfif)
                        
            SourceFilePath: The path to the file
                        
            SourceArchiveName: The name of the archive containing the file being
            added
                        
            SourceFolderName: The name of the subfolder which containing the
            file being added
          nullable: true
      additionalProperties: false
      description: Additional file processing parameters
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter:
      required:
        - key
        - value
      type: object
      properties:
        key:
          minLength: 1
          type: string
          description: Key (name) of the parameter
        value:
          minLength: 1
          type: string
          description: Value of the parameter
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````